Skip to main content
GET
/
unified
/
lms
/
completions
List Completions
curl --request GET \
  --url https://api.stackone.com/unified/lms/completions \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'x-account-id: <x-account-id>'
import requests

url = "https://api.stackone.com/unified/lms/completions"

headers = {
    "x-account-id": "<x-account-id>",
    "Authorization": "Basic <encoded-value>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-account-id': '<x-account-id>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://api.stackone.com/unified/lms/completions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "123456",
      "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
      "unified_custom_fields": {
        "my_project_custom_field_1": "REF-1236",
        "my_project_custom_field_2": "some other value"
      },
      "learning_object_external_reference": "learning-content-123",
      "external_reference": "e3gd34-23tr21-er234-345er56",
      "result": {
        "source_value": "<string>"
      },
      "completed_at": "2021-07-21T14:00:00.000Z",
      "created_at": "2021-07-21T14:00:00.000Z",
      "updated_at": "2021-07-21T14:00:00.000Z",
      "learning_object_type": {
        "source_value": "<string>"
      },
      "learning_object_id": "e3gd34-23tr21-er234-345er56",
      "remote_learning_object_id": "e3cb55bf-aa84-466e-a6c1-b8302b257a49",
      "user_id": "c28xyrc55866bvuv",
      "remote_user_id": "e3cb75bf-aa84-466e-a6c1-b8322b257a48",
      "time_spent": "PT1H30M45S",
      "certificate_url": "https://example.com/certificate/12345",
      "external_id": "SOFTWARE-ENG-LV1-TRAINING-VIDEO-1-COMPLETION",
      "content_external_reference": "SOFTWARE-ENG-LV1-TRAINING-VIDEO-1-CONTENT",
      "remote_external_id": "e3cb75bf-aa84-466e-a6c1-b8322b257a48",
      "content_id": "16873-ENG-VIDEO-1",
      "remote_content_id": "e3cb75bf-aa84-466e-a6c1-b8322b257a48",
      "course_id": "16873-ENG-COURSE-1",
      "remote_course_id": "e3cb75bf-aa84-466e-a6c1-b8322b257a48",
      "score": {
        "percentage": 87,
        "raw_value": "87 / 100"
      }
    }
  ],
  "next": "<string>",
  "raw": [
    {
      "method": "<string>",
      "url": "<string>",
      "body": {},
      "response": {}
    }
  ]
}
{
  "statusCode": 400,
  "message": "Bad Request",
  "timestamp": "2023-05-30T00:00:00.000Z",
  "data": {
    "statusCode": 400,
    "message": "Bad Request",
    "headers": {
      "content-type": "application/json",
      "x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
    }
  },
  "provider_errors": [
    {
      "status": 400,
      "url": "https://api.provider.com/v1/resource",
      "raw": {
        "message": "Invalid input parameters"
      },
      "headers": {
        "content-type": "application/json",
        "x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
      }
    }
  ]
}
{
  "statusCode": 401,
  "message": "Unauthorized",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 403,
  "message": "Forbidden resource",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 404,
  "message": "Not Found",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 408,
  "message": "Request timed out",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 409,
  "message": "Conflict",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 412,
  "message": "Precondition failed",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 422,
  "message": "Unprocessable Entity",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 429,
  "message": "Too many requests",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 500,
  "message": "Internal server error",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 501,
  "message": "Not Implemented",
  "timestamp": "2023-05-30T00:00:00.000Z"
}
{
  "statusCode": 502,
  "message": "Bad Gateway",
  "timestamp": "2023-05-30T00:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Prefer
string

Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)

Example:

"heartbeat"

Query Parameters

raw
boolean | null

Indicates that the raw request result should be returned in addition to the mapped result (default value is false)

proxy
object | null

Query parameters that can be used to pass through parameters to the underlying provider request by surrounding them with 'proxy' key

fields
string | null

The comma separated list of fields that will be returned in the response (if empty, all fields are returned)

Example:

"id,remote_id,external_id,remote_external_id,external_reference,content_id,remote_content_id,course_id,remote_course_id,user_id,remote_user_id,completed_at,updated_at,created_at,result,content_external_reference,learning_object_type,learning_object_id,remote_learning_object_id,learning_object_external_reference,time_spent,certificate_url,score,unified_custom_fields"

filter
object | null

LMS Completions Filter

page
string | null

The page number of the results to fetch

page_size
string | null

The number of results per page (default value is 25)

next
string | null

The unified cursor

updated_after
string<date-time> | null

Use a string with a date to only select results updated after that given date

Example:

"2020-01-01T00:00:00.000Z"

Response

The list of completions was retrieved.

data
object[]
required
next
string | null
raw
object[] | null